Package com.sas.lsaf.workflow.element

## Class Element

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.Element

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `SignalEvent`, `Task`, `TimerEvent`

      public class Element
      extends AbstractIdentifiable

  The parent class for an element in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Element.ElementType` | The types of the flow elements.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Element​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String name, java.lang.String description, Element.ElementType type, ProcessFlowDescriptor.FlowStatus flowStatus, java.lang.String processFlowId, java.util.Date created)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Date` | `getCreated()` | Gets the date on which the element was created.
    `java.lang.String` | `getDescription()` | Gets the description of the element.
    `java.lang.String` | `getElementId()` | Gets the identifier for the element as defined in the process definition.
    `ProcessFlowDescriptor.FlowStatus` | `getFlowStatus()` | Gets the status of the process flow that contains the element.
    `java.lang.String` | `getName()` | Gets the name for the element.
    `java.lang.String` | `getProcessFlowId()` | Gets the identifier of the process flow that contains the element.
    `Element.ElementType` | `getType()` | Gets the type of the element.
    `int` | `hashCode()` |
    `void` | `setDescription​(java.lang.String description)` | Sets the description of the element.
    `void` | `setName​(java.lang.String name)` | Sets the name of the element.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Element

          public Element​(java.lang.String typeId,
                         java.lang.String id,
                         java.lang.String elementId,
                         java.lang.String name,
                         java.lang.String description,
                         Element.ElementType type,
                         ProcessFlowDescriptor.FlowStatus flowStatus,
                         java.lang.String processFlowId,
                         java.util.Date created)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the elements returned by the API.
      Parameters:
        `typeId` - The object type identifier of the element.
        `id` - The unique identifier of the element.
        `elementId` - The identifier of the element as it appears in the process flow definition.
        `name` - The name of the element.
        `description` - The description of the element.
        `type` - The type of the element.
        `flowStatus` - The status of the process flow that contains the element.
        `processFlowId` - The identifier of the process flow that contains the element.
        `created` - The date on which the element was created.

  - ### Method Detail

    - #### getElementId

          public java.lang.String getElementId()

      Gets the identifier for the element as defined in the process definition.
      Returns:
        The identifier.

    - #### getName

          public java.lang.String getName()

      Gets the name for the element.
      Returns:
        The name.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the element.
      Parameters:
        `name` - The name.

    - #### getProcessFlowId

          public java.lang.String getProcessFlowId()

      Gets the identifier of the process flow that contains the element.
      Returns:
        The process flow identifier.

    - #### getCreated

          public java.util.Date getCreated()

      Gets the date on which the element was created.
      Returns:
        The date.

    - #### getType

          public Element.ElementType getType()

      Gets the type of the element.
      Returns:
        The type.

    - #### getFlowStatus

          public ProcessFlowDescriptor.FlowStatus getFlowStatus()

      Gets the status of the process flow that contains the element.
      Returns:
        The status.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the element.
      Returns:
        The description of the element.

    - #### setDescription

          public void setDescription​(java.lang.String description)

      Sets the description of the element.
      Parameters:
        `description` - The description.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`